﻿// <copyright company="PEER Group GmbH">
//    Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace fieldsBinding
{

	/// <summary>Convert a comparison element type to it's corresponding display icon.</summary>
	[ValueConversion(typeof(string), typeof(string))]
	public class ComparisonElementTypeToIconConverter : IValueConverter
	{
		#region Private Fields
		private static readonly Dictionary<string, string> sImageMap = new Dictionary<string, string>
		{
			{ "ComparisonNode", Images.DIFF_TYPE_NODE },
			{ "ComparisonReference", Images.DIFF_TYPE_REFERENCE },
			{ "ComparisonParameter", Images.DIFF_TYPE_PARAMETER }
		};
		#endregion Private Fields

		#region Public Methods
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			var type = value as string;
			return type != null && sImageMap.ContainsKey(type) ? sImageMap[type] : null;
		}
		
		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
		#endregion Public Methods
	}
}
