﻿// <copyright company="PEER Group GmbH">
//    Copyright (c) PEER Group GmbH. All rights reserved.
// </copyright>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace fieldsBinding
{
	public class Images
	{
		private const string IMAGE_LOCATION = "/Images/";

		#region Configuration Comparison Icons
		/// <summary>The root resource directory for all images related to configuration comparison.</summary>
		private const string CONFIG_COMPARE_LOCATION = IMAGE_LOCATION + "";

		/// <summary>The compare backbone icon.</summary>
		public const string COMPARE_ENTITIES = CONFIG_COMPARE_LOCATION + "compare_entities.png";

		/// <summary>The resource name of the icon indicating a cell instance compare result window.</summary>
		public const string DIFF_CI = CONFIG_COMPARE_LOCATION + "diff_CI.png";

		/// <summary>The resource name of the icon indicating a cell type compare result window.</summary>
		public const string DIFF_CT = CONFIG_COMPARE_LOCATION + "diff_CT.png";

		/// <summary>The resource name of the icon indicating an equipment type compare result window.</summary>
		public const string DIFF_ET = CONFIG_COMPARE_LOCATION + "diff_ET.png";

		/// <summary>The resource name of the icon indicating an equipment dictionary compare result window.</summary>
		public const string DIFF_ED = CONFIG_COMPARE_LOCATION + "diff_ED.png";

		/// <summary>The resource name of the icon indicating a node element in a comparison result.</summary>
		public const string DIFF_TYPE_NODE = CONFIG_COMPARE_LOCATION + "diff_type_node.png";

		/// <summary>The resource name of the icon indicating a reference element in a comparison result.</summary>
		public const string DIFF_TYPE_REFERENCE = CONFIG_COMPARE_LOCATION + "diff_type_reference.png";

		/// <summary>The resource name of the icon indicating a parameter element in a comparison result.</summary>
		public const string DIFF_TYPE_PARAMETER = CONFIG_COMPARE_LOCATION + "diff_type_parameter.png";

		/// <summary>The resource name of the icon indicating a difference result where both sides are the same.</summary>
		public const string DIFF_RESULT_SAME = CONFIG_COMPARE_LOCATION + "diff_result_same.png";

		/// <summary>The resource name of the icon indicating a difference result where values are different.</summary>
		public const string DIFF_RESULT_DIFFERENT = CONFIG_COMPARE_LOCATION + "diff_result_different.png";

		/// <summary>
		/// The resource name of the icon indicating a difference result where only the left has a value.
		/// </summary>
		public const string DIFF_RESULT_LEFT_ONLY = CONFIG_COMPARE_LOCATION + "diff_result_leftOnly.png";

		/// <summary>
		/// The resource name of the icon indicating a difference result where only the right has a value.
		/// </summary>
		public const string DIFF_RESULT_RIGHT_ONLY = CONFIG_COMPARE_LOCATION + "diff_result_rightOnly.png";
		#endregion
	}
}
